Package csb :: Package bio :: Package io

[frames] | no frames]

# Package io

source code

I/O for various biological file formats.

Submodules

- csb.bio.io.clans: Classes for parsing/manipulating/writing CLANS (by Tancred Frickey) files
- csb.bio.io.cs: Simple NMR STAR chemical shift readers.
- csb.bio.io.dssp: DSSP Parser
- csb.bio.io.fasta: FASTA format sequence I/O.
- csb.bio.io.hhpred: HHpred-related format parsers.
- csb.bio.io.mrc: Cryo-EM density map I/O
- csb.bio.io.noe: Simple XEASY and Sparky peak list parsers.
- csb.bio.io.procheck: Procheck parser
- csb.bio.io.psipred: PSIPRED Parser
- csb.bio.io.svg: Build SVG diagrams from various csb objects.
- csb.bio.io.vasco: VASCO Chemical Shift format parser.
- csb.bio.io.whatif: Simple WhatIf/WhatCheck Summary parser
- csb.bio.io.wwpdb: PDB structure parsers, format builders and database providers.

Classes
| AsyncStructureParser Wraps StructureParser in an asynchronous call.
| ClansParser CLANS file format aware parser.
| DSSPParser Simple DSSP Secondary Structure Parser.
| HHOutputParser Parser for HHsearch result (*.hhr) files.
| HHProfileParser A class that is HHpred HMM format aware.
| HHpredOutputParser Parser for HHsearch result (*.hhr) files.
| HHpredProfileParser A class that is HHpred HMM format aware.
| PDBHeaderParser Ultra fast PDB HEADER parser.
| PDBSequenceParser PDB FASTA parser.
| SequenceParser Standard FASTA parser.
| StrideParser Simple STRIDE Secondary Structure Parser.

Functions

AbstractStructureParser

StructureParser(structure_file, check_ss=False, mapper=None) A StructureParser factory, which instantiates and returns the proper parser object based on the contents of the PDB file. | source code

Function Details

### StructureParser(structure_file, check_ss=False, mapper=None)

source code

A StructureParser factory, which instantiates and returns the proper parser object based on the contents of the PDB file.

If the file contains a SEQRES section, RegularStructureParser is returned, otherwise LegacyStructureParser is instantiated. In the latter case LegacyStructureParser will read the sequence data directly from the ATOMs.

Parameters:
  - `structure_file` (str) - the PDB file to parse
  - `check_ss` (bool) - if True, secondary structure errors in the file will cause SecStructureFormatError exceptions
  - `mapper` (AbstractResidueMapper) - residue mapper, used to align ATOM records to SEQRES. If None, use the default (CombinedResidueMapper)
Returns: AbstractStructureParser